diff --git x11/exo/PLIST x11/exo/PLIST
new file mode 100644
index 0000000..d4ca8c3
--- /dev/null
+++ x11/exo/PLIST
@@ -0,0 +1,186 @@
+@comment $NetBSD$
+bin/exo-csource
+bin/exo-desktop-item-edit
+bin/exo-open
+bin/exo-preferred-applications
+etc/xdg/xfce4/helpers.rc
+include/exo-1/exo/exo-binding.h
+include/exo-1/exo/exo-cell-renderer-ellipsized-text.h
+include/exo-1/exo/exo-cell-renderer-icon.h
+include/exo-1/exo/exo-config.h
+include/exo-1/exo/exo-enum-types.h
+include/exo-1/exo/exo-execute.h
+include/exo-1/exo/exo-gdk-pixbuf-extensions.h
+include/exo-1/exo/exo-gobject-extensions.h
+include/exo-1/exo/exo-gtk-extensions.h
+include/exo-1/exo/exo-icon-bar.h
+include/exo-1/exo/exo-icon-chooser-dialog.h
+include/exo-1/exo/exo-icon-view.h
+include/exo-1/exo/exo-job.h
+include/exo-1/exo/exo-simple-job.h
+include/exo-1/exo/exo-string.h
+include/exo-1/exo/exo-toolbars-editor-dialog.h
+include/exo-1/exo/exo-toolbars-editor.h
+include/exo-1/exo/exo-toolbars-model.h
+include/exo-1/exo/exo-toolbars-view.h
+include/exo-1/exo/exo-tree-view.h
+include/exo-1/exo/exo-utils.h
+include/exo-1/exo/exo-wrap-table.h
+include/exo-1/exo/exo-xsession-client.h
+include/exo-1/exo/exo.h
+lib/libexo-1.la
+lib/pkgconfig/exo-1.pc
+lib/xfce4/exo-1/exo-compose-mail-1
+lib/xfce4/exo-1/exo-helper-1
+man/man1/exo-csource.1
+man/man1/exo-open.1
+share/applications/exo-file-manager.desktop
+share/applications/exo-mail-reader.desktop
+share/applications/exo-preferred-applications.desktop
+share/applications/exo-terminal-emulator.desktop
+share/applications/exo-web-browser.desktop
+share/gtk-doc/html/exo-1/ExoCellRendererEllipsizedText.html
+share/gtk-doc/html/exo-1/ExoCellRendererIcon.html
+share/gtk-doc/html/exo-1/ExoIconBar.html
+share/gtk-doc/html/exo-1/ExoIconChooserDialog.html
+share/gtk-doc/html/exo-1/ExoIconView.html
+share/gtk-doc/html/exo-1/ExoJob.html
+share/gtk-doc/html/exo-1/ExoSimpleJob.html
+share/gtk-doc/html/exo-1/ExoToolbarsEditor.html
+share/gtk-doc/html/exo-1/ExoToolbarsEditorDialog.html
+share/gtk-doc/html/exo-1/ExoToolbarsModel.html
+share/gtk-doc/html/exo-1/ExoToolbarsView.html
+share/gtk-doc/html/exo-1/ExoTreeView.html
+share/gtk-doc/html/exo-1/ExoWrapTable.html
+share/gtk-doc/html/exo-1/ExoXsessionClient.html
+share/gtk-doc/html/exo-1/ch01.html
+share/gtk-doc/html/exo-1/exo-1.devhelp2
+share/gtk-doc/html/exo-1/exo-Binding-Properties-Functions.html
+share/gtk-doc/html/exo-1/exo-Executing-Applications.html
+share/gtk-doc/html/exo-1/exo-Extensions-to-GObject.html
+share/gtk-doc/html/exo-1/exo-Extensions-to-Gtk.html
+share/gtk-doc/html/exo-1/exo-Extensions-to-gdk-pixbuf.html
+share/gtk-doc/html/exo-1/exo-Miscellaneous-Utility-Functions.html
+share/gtk-doc/html/exo-1/exo-String-Utility-Functions.html
+share/gtk-doc/html/exo-1/exo-Version-Information.html
+share/gtk-doc/html/exo-1/exo-cell-renderers.html
+share/gtk-doc/html/exo-1/exo-csource.html
+share/gtk-doc/html/exo-1/exo-extensions.html
+share/gtk-doc/html/exo-1/exo-gtk-file-chooser-add-thumbnail-preview.png
+share/gtk-doc/html/exo-1/exo-icon-chooser-dialog.png
+share/gtk-doc/html/exo-1/exo-jobs.html
+share/gtk-doc/html/exo-1/exo-miscelleanous.html
+share/gtk-doc/html/exo-1/exo-overview.html
+share/gtk-doc/html/exo-1/exo-toolbars-editor-dialog.png
+share/gtk-doc/html/exo-1/exo-toolbars-editor.png
+share/gtk-doc/html/exo-1/exo-toolbars-view.png
+share/gtk-doc/html/exo-1/exo-toolbars.html
+share/gtk-doc/html/exo-1/exo-tools.html
+share/gtk-doc/html/exo-1/exo-widgets.html
+share/gtk-doc/html/exo-1/exo-wrap-table.png
+share/gtk-doc/html/exo-1/home.png
+share/gtk-doc/html/exo-1/index.html
+share/gtk-doc/html/exo-1/index.sgml
+share/gtk-doc/html/exo-1/ix01.html
+share/gtk-doc/html/exo-1/left.png
+share/gtk-doc/html/exo-1/right.png
+share/gtk-doc/html/exo-1/style.css
+share/gtk-doc/html/exo-1/up.png
+share/icons/hicolor/24x24/apps/preferences-desktop-default-applications.png
+share/icons/hicolor/48x48/apps/applications-internet.png
+share/icons/hicolor/48x48/apps/applications-other.png
+share/icons/hicolor/48x48/apps/preferences-desktop-default-applications.png
+share/locale/ar/LC_MESSAGES/exo-1.mo
+share/locale/ast/LC_MESSAGES/exo-1.mo
+share/locale/be/LC_MESSAGES/exo-1.mo
+share/locale/bg/LC_MESSAGES/exo-1.mo
+share/locale/bn/LC_MESSAGES/exo-1.mo
+share/locale/ca/LC_MESSAGES/exo-1.mo
+share/locale/cs/LC_MESSAGES/exo-1.mo
+share/locale/da/LC_MESSAGES/exo-1.mo
+share/locale/de/LC_MESSAGES/exo-1.mo
+share/locale/el/LC_MESSAGES/exo-1.mo
+share/locale/en_GB/LC_MESSAGES/exo-1.mo
+share/locale/es/LC_MESSAGES/exo-1.mo
+share/locale/et/LC_MESSAGES/exo-1.mo
+share/locale/eu/LC_MESSAGES/exo-1.mo
+share/locale/fi/LC_MESSAGES/exo-1.mo
+share/locale/fr/LC_MESSAGES/exo-1.mo
+share/locale/gl/LC_MESSAGES/exo-1.mo
+share/locale/he/LC_MESSAGES/exo-1.mo
+share/locale/hr/LC_MESSAGES/exo-1.mo
+share/locale/hu/LC_MESSAGES/exo-1.mo
+share/locale/id/LC_MESSAGES/exo-1.mo
+share/locale/is/LC_MESSAGES/exo-1.mo
+share/locale/it/LC_MESSAGES/exo-1.mo
+share/locale/ja/LC_MESSAGES/exo-1.mo
+share/locale/kk/LC_MESSAGES/exo-1.mo
+share/locale/ko/LC_MESSAGES/exo-1.mo
+share/locale/lt/LC_MESSAGES/exo-1.mo
+share/locale/lv/LC_MESSAGES/exo-1.mo
+share/locale/nb/LC_MESSAGES/exo-1.mo
+share/locale/nl/LC_MESSAGES/exo-1.mo
+share/locale/nn/LC_MESSAGES/exo-1.mo
+share/locale/pa/LC_MESSAGES/exo-1.mo
+share/locale/pl/LC_MESSAGES/exo-1.mo
+share/locale/pt/LC_MESSAGES/exo-1.mo
+share/locale/pt_BR/LC_MESSAGES/exo-1.mo
+share/locale/ro/LC_MESSAGES/exo-1.mo
+share/locale/ru/LC_MESSAGES/exo-1.mo
+share/locale/si/LC_MESSAGES/exo-1.mo
+share/locale/sk/LC_MESSAGES/exo-1.mo
+share/locale/sq/LC_MESSAGES/exo-1.mo
+share/locale/sr/LC_MESSAGES/exo-1.mo
+share/locale/sv/LC_MESSAGES/exo-1.mo
+share/locale/tr/LC_MESSAGES/exo-1.mo
+share/locale/ug/LC_MESSAGES/exo-1.mo
+share/locale/uk/LC_MESSAGES/exo-1.mo
+share/locale/ur/LC_MESSAGES/exo-1.mo
+share/locale/ur_PK/LC_MESSAGES/exo-1.mo
+share/locale/zh_CN/LC_MESSAGES/exo-1.mo
+share/locale/zh_TW/LC_MESSAGES/exo-1.mo
+share/pixmaps/exo-1/exo-thumbnail-frame.png
+share/xfce4/helpers/Thunar.desktop
+share/xfce4/helpers/aterm.desktop
+share/xfce4/helpers/balsa.desktop
+share/xfce4/helpers/caja.desktop
+share/xfce4/helpers/chromium.desktop
+share/xfce4/helpers/debian-sensible-browser.desktop
+share/xfce4/helpers/debian-x-terminal-emulator.desktop
+share/xfce4/helpers/dillo.desktop
+share/xfce4/helpers/encompass.desktop
+share/xfce4/helpers/epiphany.desktop
+share/xfce4/helpers/eterm.desktop
+share/xfce4/helpers/evolution.desktop
+share/xfce4/helpers/firefox.desktop
+share/xfce4/helpers/galeon.desktop
+share/xfce4/helpers/gnome-terminal.desktop
+share/xfce4/helpers/icecat.desktop
+share/xfce4/helpers/icedove.desktop
+share/xfce4/helpers/iceweasel.desktop
+share/xfce4/helpers/jumanji.desktop
+share/xfce4/helpers/kmail.desktop
+share/xfce4/helpers/konqueror.desktop
+share/xfce4/helpers/links.desktop
+share/xfce4/helpers/lynx.desktop
+share/xfce4/helpers/midori.desktop
+share/xfce4/helpers/mozilla-browser.desktop
+share/xfce4/helpers/mozilla-mailer.desktop
+share/xfce4/helpers/mutt.desktop
+share/xfce4/helpers/nautilus.desktop
+share/xfce4/helpers/netscape-navigator.desktop
+share/xfce4/helpers/nxterm.desktop
+share/xfce4/helpers/opera-browser.desktop
+share/xfce4/helpers/opera-mailer.desktop
+share/xfce4/helpers/pcmanfm.desktop
+share/xfce4/helpers/rodent.desktop
+share/xfce4/helpers/rox-filer.desktop
+share/xfce4/helpers/sakura.desktop
+share/xfce4/helpers/sylpheed-claws.desktop
+share/xfce4/helpers/sylpheed.desktop
+share/xfce4/helpers/thunderbird.desktop
+share/xfce4/helpers/urxvt.desktop
+share/xfce4/helpers/w3m.desktop
+share/xfce4/helpers/xfce4-terminal.desktop
+share/xfce4/helpers/xfe.desktop
+share/xfce4/helpers/xterm.desktop
diff --git x11/exo/buildlink3.mk x11/exo/buildlink3.mk
new file mode 100644
index 0000000..fd290b8
--- /dev/null
+++ x11/exo/buildlink3.mk
@@ -0,0 +1,16 @@
+# $NetBSD: $
+
+BUILDLINK_TREE+=	exo
+
+.if !defined(EXO_BUILDLINK3_MK)
+EXO_BUILDLINK3_MK:=
+
+BUILDLINK_API_DEPENDS.exo+=	exo>=0.10.2
+BUILDLINK_ABI_DEPENDS.exo+=	exo>=0.10.2
+BUILDLINK_PKGSRCDIR.exo?=	../../x11/exo
+
+.include "../../x11/libxfce4util/buildlink3.mk"
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.endif # EXO_BUILDLINK3_MK
+
+BUILDLINK_TREE+=	-exo
diff --git x11/exo/distinfo x11/exo/distinfo
new file mode 100644
index 0000000..008c991
--- /dev/null
+++ x11/exo/distinfo
@@ -0,0 +1,5 @@
+$NetBSD$
+
+SHA1 (exo-0.10.2.tar.bz2) = dd1fed0591f661f3c2f8d238b9447e59be48e3f1
+RMD160 (exo-0.10.2.tar.bz2) = a0fcb1b1172319963c7bdcb7700db9ed1f15d3f7
+Size (exo-0.10.2.tar.bz2) = 1209633 bytes
diff --git x11/garcon/DESCR x11/garcon/DESCR
new file mode 100644
index 0000000..1fc5bd4
--- /dev/null
+++ x11/garcon/DESCR
@@ -0,0 +1 @@
+Xfce menu
diff --git x11/garcon/Makefile x11/garcon/Makefile
new file mode 100644
index 0000000..0b9a306
--- /dev/null
+++ x11/garcon/Makefile
@@ -0,0 +1,24 @@
+# $NetBSD$
+
+DISTNAME=	garcon-0.3.0
+CATEGORIES=	x11
+MASTER_SITES=	http://archive.xfce.org/src/xfce/garcon/0.3/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce menu
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
+
+PKGCONFIG_OVERRIDE+=	garcon/garcon-1.pc.in
+PKGCONFIG_OVERRIDE+=	garcon-gtk/garcon-gtk2-1.pc.in
+
+.include "../../x11/libxfce4util/buildlink3.mk"
+.include "../../x11/libxfce4ui/buildlink3.mk"
+
+.include "../../mk/bsd.pkg.mk"
diff --git x11/garcon/PLIST x11/garcon/PLIST
new file mode 100644
index 0000000..e438c39
--- /dev/null
+++ x11/garcon/PLIST
@@ -0,0 +1,122 @@
+@comment $NetBSD$
+etc/xdg/menus/xfce-applications.menu
+include/garcon-1/garcon/garcon-config.h
+include/garcon-1/garcon/garcon-environment.h
+include/garcon-1/garcon/garcon-marshal.h
+include/garcon-1/garcon/garcon-menu-directory.h
+include/garcon-1/garcon/garcon-menu-element.h
+include/garcon-1/garcon/garcon-menu-item-cache.h
+include/garcon-1/garcon/garcon-menu-item-pool.h
+include/garcon-1/garcon/garcon-menu-item.h
+include/garcon-1/garcon/garcon-menu-merger.h
+include/garcon-1/garcon/garcon-menu-node.h
+include/garcon-1/garcon/garcon-menu-parser.h
+include/garcon-1/garcon/garcon-menu-separator.h
+include/garcon-1/garcon/garcon-menu-tree-provider.h
+include/garcon-1/garcon/garcon-menu.h
+include/garcon-1/garcon/garcon.h
+include/garcon-gtk2-1/garcon-gtk/garcon-gtk-menu.h
+include/garcon-gtk2-1/garcon-gtk/garcon-gtk.h
+lib/libgarcon-1.la
+lib/libgarcon-gtk2-1.la
+lib/pkgconfig/garcon-1.pc
+lib/pkgconfig/garcon-gtk2-1.pc
+share/desktop-directories/xfce-accessories.directory
+share/desktop-directories/xfce-development.directory
+share/desktop-directories/xfce-education.directory
+share/desktop-directories/xfce-games.directory
+share/desktop-directories/xfce-graphics.directory
+share/desktop-directories/xfce-hardware.directory
+share/desktop-directories/xfce-multimedia.directory
+share/desktop-directories/xfce-network.directory
+share/desktop-directories/xfce-office.directory
+share/desktop-directories/xfce-other.directory
+share/desktop-directories/xfce-personal.directory
+share/desktop-directories/xfce-screensavers.directory
+share/desktop-directories/xfce-settings.directory
+share/desktop-directories/xfce-system.directory
+share/gtk-doc/html/garcon/GarconMenu.html
+share/gtk-doc/html/garcon/GarconMenuDirectory.html
+share/gtk-doc/html/garcon/GarconMenuElement.html
+share/gtk-doc/html/garcon/GarconMenuItem.html
+share/gtk-doc/html/garcon/GarconMenuItemCache.html
+share/gtk-doc/html/garcon/GarconMenuMerger.html
+share/gtk-doc/html/garcon/GarconMenuParser.html
+share/gtk-doc/html/garcon/GarconMenuSeparator.html
+share/gtk-doc/html/garcon/GarconMenuTreeProvider.html
+share/gtk-doc/html/garcon/api-index-full.html
+share/gtk-doc/html/garcon/garcon-Desktop-Environment-Configuration.html
+share/gtk-doc/html/garcon/garcon-Version-Information.html
+share/gtk-doc/html/garcon/garcon-garcon-menu-item-pool.html
+share/gtk-doc/html/garcon/garcon-garcon-menu-node.html
+share/gtk-doc/html/garcon/garcon-garcon.html
+share/gtk-doc/html/garcon/garcon-menus.html
+share/gtk-doc/html/garcon/garcon-miscellaneous.html
+share/gtk-doc/html/garcon/garcon-parsing.html
+share/gtk-doc/html/garcon/garcon.devhelp2
+share/gtk-doc/html/garcon/home.png
+share/gtk-doc/html/garcon/index.html
+share/gtk-doc/html/garcon/index.sgml
+share/gtk-doc/html/garcon/left-insensitive.png
+share/gtk-doc/html/garcon/left.png
+share/gtk-doc/html/garcon/object-tree.html
+share/gtk-doc/html/garcon/pt01.html
+share/gtk-doc/html/garcon/right-insensitive.png
+share/gtk-doc/html/garcon/right.png
+share/gtk-doc/html/garcon/style.css
+share/gtk-doc/html/garcon/up-insensitive.png
+share/gtk-doc/html/garcon/up.png
+share/locale/ar/LC_MESSAGES/garcon.mo
+share/locale/bg/LC_MESSAGES/garcon.mo
+share/locale/bn/LC_MESSAGES/garcon.mo
+share/locale/ca/LC_MESSAGES/garcon.mo
+share/locale/cs/LC_MESSAGES/garcon.mo
+share/locale/da/LC_MESSAGES/garcon.mo
+share/locale/de/LC_MESSAGES/garcon.mo
+share/locale/el/LC_MESSAGES/garcon.mo
+share/locale/en_AU/LC_MESSAGES/garcon.mo
+share/locale/en_GB/LC_MESSAGES/garcon.mo
+share/locale/eo/LC_MESSAGES/garcon.mo
+share/locale/es/LC_MESSAGES/garcon.mo
+share/locale/et/LC_MESSAGES/garcon.mo
+share/locale/eu/LC_MESSAGES/garcon.mo
+share/locale/fi/LC_MESSAGES/garcon.mo
+share/locale/fr/LC_MESSAGES/garcon.mo
+share/locale/gl/LC_MESSAGES/garcon.mo
+share/locale/he/LC_MESSAGES/garcon.mo
+share/locale/hr/LC_MESSAGES/garcon.mo
+share/locale/hu/LC_MESSAGES/garcon.mo
+share/locale/id/LC_MESSAGES/garcon.mo
+share/locale/is/LC_MESSAGES/garcon.mo
+share/locale/it/LC_MESSAGES/garcon.mo
+share/locale/ja/LC_MESSAGES/garcon.mo
+share/locale/kk/LC_MESSAGES/garcon.mo
+share/locale/ko/LC_MESSAGES/garcon.mo
+share/locale/lt/LC_MESSAGES/garcon.mo
+share/locale/lv/LC_MESSAGES/garcon.mo
+share/locale/ms/LC_MESSAGES/garcon.mo
+share/locale/nb/LC_MESSAGES/garcon.mo
+share/locale/nl/LC_MESSAGES/garcon.mo
+share/locale/nn/LC_MESSAGES/garcon.mo
+share/locale/oc/LC_MESSAGES/garcon.mo
+share/locale/pa/LC_MESSAGES/garcon.mo
+share/locale/pl/LC_MESSAGES/garcon.mo
+share/locale/pt/LC_MESSAGES/garcon.mo
+share/locale/pt_BR/LC_MESSAGES/garcon.mo
+share/locale/ro/LC_MESSAGES/garcon.mo
+share/locale/ru/LC_MESSAGES/garcon.mo
+share/locale/sk/LC_MESSAGES/garcon.mo
+share/locale/sl/LC_MESSAGES/garcon.mo
+share/locale/sq/LC_MESSAGES/garcon.mo
+share/locale/sr/LC_MESSAGES/garcon.mo
+share/locale/sv/LC_MESSAGES/garcon.mo
+share/locale/te/LC_MESSAGES/garcon.mo
+share/locale/th/LC_MESSAGES/garcon.mo
+share/locale/tr/LC_MESSAGES/garcon.mo
+share/locale/ug/LC_MESSAGES/garcon.mo
+share/locale/uk/LC_MESSAGES/garcon.mo
+share/locale/uz/LC_MESSAGES/garcon.mo
+share/locale/uz@Latn/LC_MESSAGES/garcon.mo
+share/locale/zh_CN/LC_MESSAGES/garcon.mo
+share/locale/zh_HK/LC_MESSAGES/garcon.mo
+share/locale/zh_TW/LC_MESSAGES/garcon.mo
diff --git x11/garcon/buildlink3.mk x11/garcon/buildlink3.mk
new file mode 100644
index 0000000..50c20ff
--- /dev/null
+++ x11/garcon/buildlink3.mk
@@ -0,0 +1,16 @@
+# $NetBSD: $
+
+BUILDLINK_TREE+=	garcon
+
+.if !defined(GARCON_BUILDLINK3_MK)
+GARCON_BUILDLINK3_MK:=
+
+BUILDLINK_API_DEPENDS.garcon+=	garcon>=0.3.0
+BUILDLINK_ABI_DEPENDS.garcon+=	garcon>=0.3.0
+BUILDLINK_PKGSRCDIR.garcon?=	../../x11/garcon
+
+.include "../../x11/libxfce4util/buildlink3.mk"
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.endif # GARCON_BUILDLINK3_MK
+
+BUILDLINK_TREE+=	-garcon
diff --git x11/garcon/distinfo x11/garcon/distinfo
new file mode 100644
index 0000000..f99ed96
--- /dev/null
+++ x11/garcon/distinfo
@@ -0,0 +1,5 @@
+$NetBSD$
+
+SHA1 (garcon-0.3.0.tar.bz2) = c0ff6ccd33fbb2db6a13a06a71731c191ce0dfb2
+RMD160 (garcon-0.3.0.tar.bz2) = e97f8433cb95c824d4e210feb9d8dd48c3f7ca2b
+Size (garcon-0.3.0.tar.bz2) = 447918 bytes
diff --git x11/gtk-xfce-engine/DESCR x11/gtk-xfce-engine/DESCR
new file mode 100644
index 0000000..7d39de6
--- /dev/null
+++ x11/gtk-xfce-engine/DESCR
@@ -0,0 +1 @@
+Xfce gtk2 engine
diff --git x11/gtk-xfce-engine/Makefile x11/gtk-xfce-engine/Makefile
new file mode 100644
index 0000000..0b93cd0
--- /dev/null
+++ x11/gtk-xfce-engine/Makefile
@@ -0,0 +1,22 @@
+# $NetBSD$
+
+DISTNAME=	gtk-xfce-engine-3.0.1
+CATEGORIES=	x11
+MASTER_SITES=	http://archive.xfce.org/src/xfce/gtk-xfce-engine/3.0/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce GTK2 engine
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
+
+CONFLICTS+=	xfce4-gtk2-engine-[0-9]*
+
+.include "../../x11/gtk2/buildlink3.mk"
+
+.include "../../mk/bsd.pkg.mk"
diff --git x11/gtk-xfce-engine/PLIST x11/gtk-xfce-engine/PLIST
new file mode 100644
index 0000000..e694755
--- /dev/null
+++ x11/gtk-xfce-engine/PLIST
@@ -0,0 +1,22 @@
+@comment $NetBSD$
+lib/gtk-2.0/2.10.0/engines/libxfce.la
+share/themes/Xfce-4.0/gtk-2.0/gtkrc
+share/themes/Xfce-4.2/gtk-2.0/gtkrc
+share/themes/Xfce-4.4/gtk-2.0/gtkrc
+share/themes/Xfce-4.6/gtk-2.0/gtkrc
+share/themes/Xfce-b5/gtk-2.0/gtkrc
+share/themes/Xfce-basic/gtk-2.0/gtkrc
+share/themes/Xfce-cadmium/gtk-2.0/gtkrc
+share/themes/Xfce-curve/gtk-2.0/gtkrc
+share/themes/Xfce-dawn/gtk-2.0/gtkrc
+share/themes/Xfce-dusk/gtk-2.0/gtkrc
+share/themes/Xfce-kde2/gtk-2.0/gtkrc
+share/themes/Xfce-kolors/gtk-2.0/gtkrc
+share/themes/Xfce-light/gtk-2.0/gtkrc
+share/themes/Xfce-orange/gtk-2.0/gtkrc
+share/themes/Xfce-redmondxp/gtk-2.0/gtkrc
+share/themes/Xfce-saltlake/gtk-2.0/gtkrc
+share/themes/Xfce-smooth/gtk-2.0/gtkrc
+share/themes/Xfce-stellar/gtk-2.0/gtkrc
+share/themes/Xfce-winter/gtk-2.0/gtkrc
+share/themes/Xfce/gtk-2.0/gtkrc
diff --git x11/gtk-xfce-engine/distinfo x11/gtk-xfce-engine/distinfo
new file mode 100644
index 0000000..ce5c93b
--- /dev/null
+++ x11/gtk-xfce-engine/distinfo
@@ -0,0 +1,5 @@
+$NetBSD$
+
+SHA1 (gtk-xfce-engine-3.0.1.tar.bz2) = 39418dd5747f45834d9ec11fd628566f20294172
+RMD160 (gtk-xfce-engine-3.0.1.tar.bz2) = 4c4d189d24b81a6c104b19018c734aaaf8c34030
+Size (gtk-xfce-engine-3.0.1.tar.bz2) = 369040 bytes
diff --git x11/libxfce4ui/DESCR x11/libxfce4ui/DESCR
new file mode 100644
index 0000000..d23eb91
--- /dev/null
+++ x11/libxfce4ui/DESCR
@@ -0,0 +1 @@
+Libxfce4ui
diff --git x11/libxfce4ui/Makefile x11/libxfce4ui/Makefile
new file mode 100644
index 0000000..c72a5a9
--- /dev/null
+++ x11/libxfce4ui/Makefile
@@ -0,0 +1,29 @@
+# $NetBSD$
+
+DISTNAME=	libxfce4ui-4.10.0
+CATEGORIES=	x11
+MASTER_SITES=	http://archive.xfce.org/src/xfce/libxfce4ui/4.10/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Libxfce4ui
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
+
+PKGCONFIG_OVERRIDE+=	libxfce4kbd-private/libxfce4kbd-private-2.pc.in
+PKGCONFIG_OVERRIDE+=	libxfce4ui/libxfce4ui-1.pc.in
+
+.include "../../x11/libxfce4util/buildlink3.mk"
+.include "../../devel/xfconf/buildlink3.mk"
+.include "../../x11/gtk2/buildlink3.mk"
+.include "../../x11/startup-notification/buildlink3.mk"
+.include "../../graphics/hicolor-icon-theme/buildlink3.mk"
+
+.include "../../sysutils/desktop-file-utils/desktopdb.mk"
+
+.include "../../mk/bsd.pkg.mk"
diff --git x11/libxfce4ui/PLIST x11/libxfce4ui/PLIST
new file mode 100644
index 0000000..cb054d7
--- /dev/null
+++ x11/libxfce4ui/PLIST
@@ -0,0 +1,92 @@
+@comment $NetBSD$
+bin/xfce4-about
+etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
+include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcut-dialog.h
+include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcuts-grabber.h
+include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcuts-provider.h
+include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcuts.h
+include/xfce4/libxfce4ui-1/libxfce4ui/libxfce4ui-config.h
+include/xfce4/libxfce4ui-1/libxfce4ui/libxfce4ui-enum-types.h
+include/xfce4/libxfce4ui-1/libxfce4ui/libxfce4ui.h
+include/xfce4/libxfce4ui-1/libxfce4ui/xfce-dialogs.h
+include/xfce4/libxfce4ui-1/libxfce4ui/xfce-gdk-extensions.h
+include/xfce4/libxfce4ui-1/libxfce4ui/xfce-gtk-extensions.h
+include/xfce4/libxfce4ui-1/libxfce4ui/xfce-sm-client.h
+include/xfce4/libxfce4ui-1/libxfce4ui/xfce-spawn.h
+include/xfce4/libxfce4ui-1/libxfce4ui/xfce-titled-dialog.h
+lib/libxfce4kbd-private-2.la
+lib/libxfce4ui-1.la
+lib/pkgconfig/libxfce4kbd-private-2.pc
+lib/pkgconfig/libxfce4ui-1.pc
+share/applications/xfce4-about.desktop
+share/gtk-doc/html/libxfce4ui/XfceSMClient.html
+share/gtk-doc/html/libxfce4ui/home.png
+share/gtk-doc/html/libxfce4ui/index.html
+share/gtk-doc/html/libxfce4ui/index.sgml
+share/gtk-doc/html/libxfce4ui/ix01.html
+share/gtk-doc/html/libxfce4ui/left.png
+share/gtk-doc/html/libxfce4ui/libxfce4ui-extensions.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-fundamentals.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-introduction.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-libxfce4ui-config.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-sm.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-widgets.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-xfce-dialogs.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-xfce-gdk-extensions.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-xfce-gtk-extensions.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-xfce-spawn.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui-xfce-titled-dialog.html
+share/gtk-doc/html/libxfce4ui/libxfce4ui.devhelp2
+share/gtk-doc/html/libxfce4ui/right.png
+share/gtk-doc/html/libxfce4ui/style.css
+share/gtk-doc/html/libxfce4ui/up.png
+share/icons/hicolor/48x48/apps/xfce4-logo.png
+share/locale/ar/LC_MESSAGES/libxfce4ui.mo
+share/locale/ast/LC_MESSAGES/libxfce4ui.mo
+share/locale/bn/LC_MESSAGES/libxfce4ui.mo
+share/locale/ca/LC_MESSAGES/libxfce4ui.mo
+share/locale/cs/LC_MESSAGES/libxfce4ui.mo
+share/locale/da/LC_MESSAGES/libxfce4ui.mo
+share/locale/de/LC_MESSAGES/libxfce4ui.mo
+share/locale/el/LC_MESSAGES/libxfce4ui.mo
+share/locale/en_GB/LC_MESSAGES/libxfce4ui.mo
+share/locale/es/LC_MESSAGES/libxfce4ui.mo
+share/locale/eu/LC_MESSAGES/libxfce4ui.mo
+share/locale/fi/LC_MESSAGES/libxfce4ui.mo
+share/locale/fr/LC_MESSAGES/libxfce4ui.mo
+share/locale/gl/LC_MESSAGES/libxfce4ui.mo
+share/locale/he/LC_MESSAGES/libxfce4ui.mo
+share/locale/hr/LC_MESSAGES/libxfce4ui.mo
+share/locale/hu/LC_MESSAGES/libxfce4ui.mo
+share/locale/id/LC_MESSAGES/libxfce4ui.mo
+share/locale/is/LC_MESSAGES/libxfce4ui.mo
+share/locale/it/LC_MESSAGES/libxfce4ui.mo
+share/locale/ja/LC_MESSAGES/libxfce4ui.mo
+share/locale/kk/LC_MESSAGES/libxfce4ui.mo
+share/locale/ko/LC_MESSAGES/libxfce4ui.mo
+share/locale/ku/LC_MESSAGES/libxfce4ui.mo
+share/locale/lt/LC_MESSAGES/libxfce4ui.mo
+share/locale/lv/LC_MESSAGES/libxfce4ui.mo
+share/locale/nb/LC_MESSAGES/libxfce4ui.mo
+share/locale/nl/LC_MESSAGES/libxfce4ui.mo
+share/locale/nn/LC_MESSAGES/libxfce4ui.mo
+share/locale/pa/LC_MESSAGES/libxfce4ui.mo
+share/locale/pl/LC_MESSAGES/libxfce4ui.mo
+share/locale/pt/LC_MESSAGES/libxfce4ui.mo
+share/locale/pt_BR/LC_MESSAGES/libxfce4ui.mo
+share/locale/ro/LC_MESSAGES/libxfce4ui.mo
+share/locale/ru/LC_MESSAGES/libxfce4ui.mo
+share/locale/si/LC_MESSAGES/libxfce4ui.mo
+share/locale/sk/LC_MESSAGES/libxfce4ui.mo
+share/locale/sv/LC_MESSAGES/libxfce4ui.mo
+share/locale/te/LC_MESSAGES/libxfce4ui.mo
+share/locale/tl/LC_MESSAGES/libxfce4ui.mo
+share/locale/tl_PH/LC_MESSAGES/libxfce4ui.mo
+share/locale/tr/LC_MESSAGES/libxfce4ui.mo
+share/locale/ug/LC_MESSAGES/libxfce4ui.mo
+share/locale/uk/LC_MESSAGES/libxfce4ui.mo
+share/locale/ur/LC_MESSAGES/libxfce4ui.mo
+share/locale/ur_PK/LC_MESSAGES/libxfce4ui.mo
+share/locale/vi/LC_MESSAGES/libxfce4ui.mo
+share/locale/zh_CN/LC_MESSAGES/libxfce4ui.mo
+share/locale/zh_TW/LC_MESSAGES/libxfce4ui.mo
diff --git x11/libxfce4ui/buildlink3.mk x11/libxfce4ui/buildlink3.mk
new file mode 100644
index 0000000..2ecbc18
--- /dev/null
+++ x11/libxfce4ui/buildlink3.mk
@@ -0,0 +1,18 @@
+# $NetBSD $
+
+BUILDLINK_TREE+=	libxfce4ui
+
+.if !defined(LIBXFCE4UI_BUILDLINK3_MK)
+LIBXFCE4UI_BUILDLINK3_MK:=
+
+BUILDLINK_API_DEPENDS.libxfce4ui+=	libxfce4ui>=4.10.0
+BUILDLINK_ABI_DEPENDS.libxfce4ui+=	libxfce4ui>=4.10.0
+BUILDLINK_PKGSRCDIR.libxfce4ui?=	../../x11/libxfce4ui
+
+.include "../../x11/libxfce4util/buildlink3.mk"
+.include "../../devel/xfconf/buildlink3.mk"
+.include "../../x11/gtk2/buildlink3.mk"
+.include "../../x11/startup-notification/buildlink3.mk"
+.endif # LIBXFCE4UTIL_BUILDLINK3_MK
+
+BUILDLINK_TREE+=	-libxfce4ui
diff --git x11/libxfce4ui/distinfo x11/libxfce4ui/distinfo
new file mode 100644
index 0000000..cef5892
--- /dev/null
+++ x11/libxfce4ui/distinfo
@@ -0,0 +1,5 @@
+$NetBSD$
+
+SHA1 (libxfce4ui-4.10.0.tar.bz2) = 3d8181cf9b06c7dd55588eb5bae7aa62edc1fdfb
+RMD160 (libxfce4ui-4.10.0.tar.bz2) = 98325b488a7e2c81943d2eda51442e7f5f28347d
+Size (libxfce4ui-4.10.0.tar.bz2) = 545486 bytes
diff --git x11/libxfce4util/DESCR x11/libxfce4util/DESCR
index 9e7b4a9..98a1e04 100644
--- x11/libxfce4util/DESCR
+++ x11/libxfce4util/DESCR
@@ -1 +1 @@
-Basic utility library for Xfce.
+libxfce4util
diff --git x11/libxfce4util/Makefile x11/libxfce4util/Makefile
index ae2b1e6..94e0823 100644
--- x11/libxfce4util/Makefile
+++ x11/libxfce4util/Makefile
@@ -1,20 +1,22 @@
-# $NetBSD: Makefile,v 1.36 2013/12/10 20:15:15 jperkin Exp $
+# $NetBSD$
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
-
-DISTNAME=	libxfce4util-${XFCE4_VERSION}
-PKGREVISION=	17
+DISTNAME=	libxfce4util-4.10.1
 CATEGORIES=	x11
-COMMENT=	Xfce basic library
+MASTER_SITES=	http://archive.xfce.org/src/xfce/libxfce4util/4.10/
+EXTRACT_SUFX=	.tar.bz2
 
-PKGCONFIG_OVERRIDE=	libxfce4util/libxfce4util-1.0.pc.in
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Libxfce4util
+LICENSE=	gnu-gpl-v2
 
-MAKE_DIRS+=	${PREFIX}/include/xfce4
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
 
-.include "../../mk/bsd.prefs.mk"
+PKGCONFIG_OVERRIDE+=	libxfce4util/libxfce4util-1.0.pc.in
 
-.if ${OPSYS} == "Darwin"
-CONFIGURE_ARGS+=	--disable-visibility
-.endif
+.include "../../devel/glib2/buildlink3.mk"
 
 .include "../../mk/bsd.pkg.mk"
diff --git x11/libxfce4util/PLIST x11/libxfce4util/PLIST
index 7deda98..1dc7f1d 100644
--- x11/libxfce4util/PLIST
+++ x11/libxfce4util/PLIST
@@ -1,12 +1,7 @@
-@comment $NetBSD: PLIST,v 1.14 2009/09/16 01:15:35 reed Exp $
-include/xfce4/libxfce4util/debug.h
-include/xfce4/libxfce4util/i18n.h
+@comment $NetBSD$
 include/xfce4/libxfce4util/libxfce4util-config.h
-include/xfce4/libxfce4util/libxfce4util-enum-types.h
 include/xfce4/libxfce4util/libxfce4util.h
-include/xfce4/libxfce4util/utf8.h
-include/xfce4/libxfce4util/util.h
-include/xfce4/libxfce4util/xfce-desktopentry.h
+include/xfce4/libxfce4util/xfce-debug.h
 include/xfce4/libxfce4util/xfce-fileutils.h
 include/xfce4/libxfce4util/xfce-generics.h
 include/xfce4/libxfce4util/xfce-i18n.h
@@ -24,7 +19,6 @@ share/gtk-doc/html/libxfce4util/home.png
 share/gtk-doc/html/libxfce4util/index.html
 share/gtk-doc/html/libxfce4util/index.sgml
 share/gtk-doc/html/libxfce4util/left.png
-share/gtk-doc/html/libxfce4util/libxfce4util-Desktop-entries.html
 share/gtk-doc/html/libxfce4util/libxfce4util-File-Utilities.html
 share/gtk-doc/html/libxfce4util/libxfce4util-Internationalisation.html
 share/gtk-doc/html/libxfce4util/libxfce4util-Miscellaneous-Utilities.html
@@ -40,7 +34,6 @@ share/gtk-doc/html/libxfce4util/libxfce4util-core.html
 share/gtk-doc/html/libxfce4util/libxfce4util-datatypes.html
 share/gtk-doc/html/libxfce4util/libxfce4util-fundamentals.html
 share/gtk-doc/html/libxfce4util/libxfce4util-utilities.html
-share/gtk-doc/html/libxfce4util/libxfce4util.devhelp
 share/gtk-doc/html/libxfce4util/libxfce4util.devhelp2
 share/gtk-doc/html/libxfce4util/reference.html
 share/gtk-doc/html/libxfce4util/right.png
@@ -48,12 +41,15 @@ share/gtk-doc/html/libxfce4util/style.css
 share/gtk-doc/html/libxfce4util/up.png
 share/locale/am/LC_MESSAGES/libxfce4util.mo
 share/locale/ar/LC_MESSAGES/libxfce4util.mo
+share/locale/ast/LC_MESSAGES/libxfce4util.mo
+share/locale/bn/LC_MESSAGES/libxfce4util.mo
 share/locale/ca/LC_MESSAGES/libxfce4util.mo
 share/locale/cs/LC_MESSAGES/libxfce4util.mo
 share/locale/cy/LC_MESSAGES/libxfce4util.mo
 share/locale/da/LC_MESSAGES/libxfce4util.mo
 share/locale/de/LC_MESSAGES/libxfce4util.mo
 share/locale/dz/LC_MESSAGES/libxfce4util.mo
+share/locale/el/LC_MESSAGES/libxfce4util.mo
 share/locale/en_GB/LC_MESSAGES/libxfce4util.mo
 share/locale/es/LC_MESSAGES/libxfce4util.mo
 share/locale/et/LC_MESSAGES/libxfce4util.mo
@@ -62,24 +58,36 @@ share/locale/fi/LC_MESSAGES/libxfce4util.mo
 share/locale/fr/LC_MESSAGES/libxfce4util.mo
 share/locale/gl/LC_MESSAGES/libxfce4util.mo
 share/locale/he/LC_MESSAGES/libxfce4util.mo
+share/locale/hu/LC_MESSAGES/libxfce4util.mo
 share/locale/id/LC_MESSAGES/libxfce4util.mo
+share/locale/is/LC_MESSAGES/libxfce4util.mo
+share/locale/it/LC_MESSAGES/libxfce4util.mo
 share/locale/ja/LC_MESSAGES/libxfce4util.mo
 share/locale/ka/LC_MESSAGES/libxfce4util.mo
+share/locale/kk/LC_MESSAGES/libxfce4util.mo
 share/locale/ko/LC_MESSAGES/libxfce4util.mo
 share/locale/lt/LC_MESSAGES/libxfce4util.mo
 share/locale/lv/LC_MESSAGES/libxfce4util.mo
 share/locale/mk/LC_MESSAGES/libxfce4util.mo
 share/locale/nb/LC_MESSAGES/libxfce4util.mo
 share/locale/nl/LC_MESSAGES/libxfce4util.mo
+share/locale/nn/LC_MESSAGES/libxfce4util.mo
+share/locale/pa/LC_MESSAGES/libxfce4util.mo
 share/locale/pl/LC_MESSAGES/libxfce4util.mo
 share/locale/pt/LC_MESSAGES/libxfce4util.mo
 share/locale/pt_BR/LC_MESSAGES/libxfce4util.mo
 share/locale/ro/LC_MESSAGES/libxfce4util.mo
+share/locale/ru/LC_MESSAGES/libxfce4util.mo
 share/locale/si/LC_MESSAGES/libxfce4util.mo
+share/locale/sk/LC_MESSAGES/libxfce4util.mo
 share/locale/sl/LC_MESSAGES/libxfce4util.mo
 share/locale/sq/LC_MESSAGES/libxfce4util.mo
 share/locale/sv/LC_MESSAGES/libxfce4util.mo
+share/locale/tl_PH/LC_MESSAGES/libxfce4util.mo
 share/locale/tr/LC_MESSAGES/libxfce4util.mo
+share/locale/ug/LC_MESSAGES/libxfce4util.mo
 share/locale/uk/LC_MESSAGES/libxfce4util.mo
 share/locale/ur/LC_MESSAGES/libxfce4util.mo
+share/locale/ur_PK/LC_MESSAGES/libxfce4util.mo
 share/locale/zh_CN/LC_MESSAGES/libxfce4util.mo
+share/locale/zh_TW/LC_MESSAGES/libxfce4util.mo
diff --git x11/libxfce4util/buildlink3.mk x11/libxfce4util/buildlink3.mk
index 8c1532e..196093b 100644
--- x11/libxfce4util/buildlink3.mk
+++ x11/libxfce4util/buildlink3.mk
@@ -1,12 +1,12 @@
-# $NetBSD: buildlink3.mk,v 1.29 2012/09/15 10:07:10 obache Exp $
+# $NetBSD $
 
 BUILDLINK_TREE+=	libxfce4util
 
 .if !defined(LIBXFCE4UTIL_BUILDLINK3_MK)
 LIBXFCE4UTIL_BUILDLINK3_MK:=
 
-BUILDLINK_API_DEPENDS.libxfce4util+=	libxfce4util>=4.6.0
-BUILDLINK_ABI_DEPENDS.libxfce4util+=	libxfce4util>=4.6.1nb9
+BUILDLINK_API_DEPENDS.libxfce4util+=	libxfce4util>=4.10.0
+BUILDLINK_ABI_DEPENDS.libxfce4util+=	libxfce4util>=4.10.0
 BUILDLINK_PKGSRCDIR.libxfce4util?=	../../x11/libxfce4util
 
 .include "../../devel/glib2/buildlink3.mk"
diff --git x11/libxfce4util/distinfo x11/libxfce4util/distinfo
index b8fc9f0..1d6b842 100644
--- x11/libxfce4util/distinfo
+++ x11/libxfce4util/distinfo
@@ -1,5 +1,5 @@
-$NetBSD: distinfo,v 1.20 2009/09/16 01:15:35 reed Exp $
+$NetBSD$
 
-SHA1 (libxfce4util-4.6.1.tar.bz2) = 6d14099aa095b2f5d9b6a4348968b741b9ad661d
-RMD160 (libxfce4util-4.6.1.tar.bz2) = e54d6c7291bbd7e658bc612b52b1c8d02c47d5ae
-Size (libxfce4util-4.6.1.tar.bz2) = 405327 bytes
+SHA1 (libxfce4util-4.10.1.tar.bz2) = 8857c89262dea7b4c49626a1cef1abb7101821fb
+RMD160 (libxfce4util-4.10.1.tar.bz2) = e639d86e75f40267d822ed227ca7fa0e2e6ecdec
+Size (libxfce4util-4.10.1.tar.bz2) = 453499 bytes
diff --git x11/xfce4-panel/DESCR x11/xfce4-panel/DESCR
index fb7e5aa..7d4fb29 100644
--- x11/xfce4-panel/DESCR
+++ x11/xfce4-panel/DESCR
@@ -1 +1 @@
-GTK2 based panel for Xfce.
+Xfce desktop panel
